Package org.eclipse.cdt.core.model

# Interface ICModelMarker

public interface ICModelMarker
Markers used by the C model.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`C_MODEL_MARKER_EXTERNAL_LOCATION`
C model extension to the marker problem markers which may hold the path to the workspace external location of the file containing the problem
`static final String`
`C_MODEL_MARKER_VARIABLE`
C model extension to the marker problem markers which may hold a hint on the variable name that caused the error.
`static final String`
`C_MODEL_PROBLEM_MARKER`
C model problem marker type (value `"org.eclipse.cdt.core.problem"`).
`static final String`
`INDEXER_MARKER`
`static final String`
`PATHENTRY_FILE_FORMAT`
PathEntry file format marker attribute (value `"PathEntryFileFormat"`).
`static final String`
`PATHENTRY_PROBLEM_MARKER`
PatheEtnry problem marker type (value `"org.eclipse.cdt.core.pathentry_problem"`).
`static final String`
`TASK_MARKER`
C model task marker type (value `"org.eclipse.cdt.core.task"`).

## Field Details

### C_MODEL_PROBLEM_MARKER

static final String C_MODEL_PROBLEM_MARKER
C model problem marker type (value `"org.eclipse.cdt.core.problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the C compilers.

See Also:
  - Constant Field Values

### C_MODEL_MARKER_VARIABLE

static final String C_MODEL_MARKER_VARIABLE
C model extension to the marker problem markers which may hold a hint on the variable name that caused the error. Used by the ui to highlight the variable itself if it can be found.

See Also:
  - Constant Field Values

### C_MODEL_MARKER_EXTERNAL_LOCATION

static final String C_MODEL_MARKER_EXTERNAL_LOCATION
C model extension to the marker problem markers which may hold the path to the workspace external location of the file containing the problem

See Also:
  - Constant Field Values

### TASK_MARKER

static final String TASK_MARKER
C model task marker type (value `"org.eclipse.cdt.core.task"`). This can be used to recognize task markers in the workspace that correspond to tasks specified in C/C++ source comments and detected during code indexing (for example, 'TO-DO: ...'). Tasks are identified by a task tag, which can be customized through `CCorePlugin` option `"org.eclipse.cdt.core.taskTag"`.

See Also:
  - Constant Field Values

### INDEXER_MARKER

static final String INDEXER_MARKER

See Also:
  - Constant Field Values

### PATHENTRY_PROBLEM_MARKER

static final String PATHENTRY_PROBLEM_MARKER
PatheEtnry problem marker type (value `"org.eclipse.cdt.core.pathentry_problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the C tooling during pathEntry setting.

See Also:
  - Constant Field Values

### PATHENTRY_FILE_FORMAT

static final String PATHENTRY_FILE_FORMAT
PathEntry file format marker attribute (value `"PathEntryFileFormat"`). Used only on pathentry store problem markers. The value of this attribute is either "true" or "false".

See Also:
  - Constant Field Values